Plugin host Carbon Manager warning


#1

When opening AUs in the unmodified PluginHost i get this:

WARNING: 140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API’s in AudioComponent.h.

What can we do about that?


#2

It depends on which AU you open. If you open a new AU without a Carbon editor the warning won’t appear. I think it can be ignored.